# Delete my Checklist Item

Use the `deleteMyChecklistItem` to delete a checklist item created previously by using the [`createMyChecklistItem`](/graphql/query/mutations/tracking/checklists/create-my-checklist-item.md#available-fields) mutation.

{% hint style="warning" %}
A deleted checklist item cannot be recovered.
{% endhint %}

### Required Argument

| **Argument Name** | **Type** |                                                                                  **Description**                                                                                 |
| :---------------: | :------: | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: |
|        `ID`       |    ID    | Unique Checklist item ID. Execute the [`myChecklistItems` ](https://docs.suggestic.com/graphql/query/queries/tracking/my-checklist-item)to get the id of the item to be deleted. |

## Available Fields

The following fields will be displayed in the response:

|     **Field**     |                                                     **Type**                                                    |                                  **Description**                                 |
| :---------------: | :-------------------------------------------------------------------------------------------------------------: | :------------------------------------------------------------------------------: |
|     `success`     |                                                      string                                                     | **True** if the checlistitem has been deleted successfully. Otherwise, **False** |
|     `message`     |                                                      string                                                     |                             Description of the result                            |
| `myChecklistItem` | [myChecklistItem](https://docs.suggestic.com/graphql/query/queries/tracking/my-checklist-item#available-fields) |                    A structured version of the checklist item.                   |

## Example

{% tabs %}
{% tab title="Request" %}

```graphql
mutation {
  deleteMyChecklistItem(id: "TXlDaGVja2xpc3RJdGVtOjI=") {
    success
    message
    myChecklistItem {
      id
      header
      text
      createdAt
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "deleteMyChecklistItem": {
      "success": true,
      "message": "My checklist item was successfully deleted",
      "myChecklistItem": {
        "id": "TXlDaGVja2xpc3RJdGVtOjI=",
        "header": "Run 30km",
        "text": "Coach Suggestion",
        "createdAt": "2022-02-04T15:59:37.974133+00:00"
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/tracking/checklists/delete-my-checklist-item.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
